// app/students/[id]/page.tsx (SERVER COMPONENT)
import { db } from "@/lib/firebase";
import { collection, getDocs } from "firebase/firestore";
import StudentDetailsPage from "./StudentDetailsClient";

export async function generateStaticParams() {
  const studentsCollection = collection(db, "students");
  const studentsSnapshot = await getDocs(studentsCollection);
  
  return studentsSnapshot.docs.map((doc) => ({
    id: doc.id,
  }));
}

export default function Page({ params }: { params: { id: string } }) {
  return <StudentDetailsPage params={params} />;
}